API Reference

Authentication

Authenticate client with API key and secret

POST/auth/token

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/auth/token" \  -H "Content-Type: application/json" \  -d '{    "clientId": "string",    "secret": "string"  }'
{
  "access_token": "string",
  "refresh_token": "string",
  "requires_2fa_setup": true
}

Refresh user authentication token

POST/auth/refresh

Header Parameters

Authorization*string

User refresh token as Bearer {token}

Response Body

application/json

curl -X POST "https://loading/auth/refresh" \  -H "Authorization: string"
{}

Resend account confirmation email

POST/auth/resend-confirmation-email

Authorization

Access Token
AuthorizationBearer <token>

In: header

Response Body

curl -X POST "https://loading/auth/resend-confirmation-email"
Empty
Empty
Empty
Empty

Revoke API Key

POST/auth/api-key/revoke

Authorization

Access Token
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X POST "https://loading/auth/api-key/revoke"
"string"

On this page